<?php
namespace Internetgalerie\IgEmailNoindex\ViewHelpers;

use Internetgalerie\IgEmailNoindex\Typolink\MyEmailLinkBuilder;
use TYPO3Fluid\Fluid\Core\Rendering\RenderingContextInterface;
use TYPO3Fluid\Fluid\Core\ViewHelper\AbstractViewHelper;

class IndexedContentViewHelper extends AbstractViewHelper
{
    /**
     * @var boolean
     */
    protected $escapeOutput = false;
    protected $escapeChildren = false;

    public function render(): string
    {
        $arguments = $this->arguments;
        $oldValue = MyEmailLinkBuilder::setRemoveFromIndexer(true);
        $content = $this->renderChildren();
        MyEmailLinkBuilder::setRemoveFromIndexer($oldValue);

        return '<!--TYPO3SEARCH_begin-->' . $content . '<!--TYPO3SEARCH_end-->';
    }
}
